Index: XIOS3/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 2616)
@@ -13,8 +13,9 @@
   SUBROUTINE xios(set_filegroup_attr)  &
     ( filegroup_id, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -33,4 +34,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: gatherer
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
@@ -41,6 +43,10 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_gatherer
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_reader
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_writer
       LOGICAL  , OPTIONAL, INTENT(IN) :: read_metadata_par
       LOGICAL (KIND=C_BOOL) :: read_metadata_par_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: reader
       INTEGER  , OPTIONAL, INTENT(IN) :: record_offset
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: split_end_offset
@@ -58,6 +64,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: using_server2
+      LOGICAL (KIND=C_BOOL) :: using_server2_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: writer
 
       CALL xios(get_filegroup_handle) &
@@ -65,8 +74,9 @@
       CALL xios(set_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(set_filegroup_attr)
@@ -74,8 +84,9 @@
   SUBROUTINE xios(set_filegroup_attr_hdl)  &
     ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -93,4 +104,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: gatherer
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits
@@ -101,6 +113,10 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_gatherer
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_reader
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_writer
       LOGICAL  , OPTIONAL, INTENT(IN) :: read_metadata_par
       LOGICAL (KIND=C_BOOL) :: read_metadata_par_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: reader
       INTEGER  , OPTIONAL, INTENT(IN) :: record_offset
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: split_end_offset
@@ -118,13 +134,17 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: using_server2
+      LOGICAL (KIND=C_BOOL) :: using_server2_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: writer
 
       CALL xios(set_filegroup_attr_hdl_)  &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(set_filegroup_attr_hdl)
@@ -132,9 +152,10 @@
   SUBROUTINE xios(set_filegroup_attr_hdl_)   &
     ( filegroup_hdl, append_, comment_, compression_level_, convention_, convention_str_, cyclic_  &
-    , description_, enabled_, format_, group_ref_, min_digits_, mode_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, read_metadata_par_, record_offset_, split_end_offset_, split_freq_  &
-    , split_freq_format_, split_last_date_, split_start_offset_, sync_freq_, time_counter_, time_counter_name_  &
-    , time_stamp_format_, time_stamp_name_, time_units_, timeseries_, ts_prefix_, type_, uuid_format_  &
-    , uuid_name_ )
+    , description_, enabled_, format_, gatherer_, group_ref_, min_digits_, mode_, name_, name_suffix_  &
+    , output_freq_, output_level_, par_access_, pool_gatherer_, pool_reader_, pool_writer_, read_metadata_par_  &
+    , reader_, record_offset_, split_end_offset_, split_freq_, split_freq_format_, split_last_date_  &
+    , split_start_offset_, sync_freq_, time_counter_, time_counter_name_, time_stamp_format_, time_stamp_name_  &
+    , time_units_, timeseries_, ts_prefix_, type_, using_server2_, uuid_format_, uuid_name_, writer_  &
+     )
 
     IMPLICIT NONE
@@ -152,4 +173,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: gatherer_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(IN) :: min_digits_
@@ -160,6 +182,10 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_gatherer_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_reader_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: pool_writer_
       LOGICAL  , OPTIONAL, INTENT(IN) :: read_metadata_par_
       LOGICAL (KIND=C_BOOL) :: read_metadata_par__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: reader_
       INTEGER  , OPTIONAL, INTENT(IN) :: record_offset_
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: split_end_offset_
@@ -177,6 +203,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: using_server2_
+      LOGICAL (KIND=C_BOOL) :: using_server2__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: writer_
 
       IF (PRESENT(append_)) THEN
@@ -228,4 +257,9 @@
       ENDIF
 
+      IF (PRESENT(gatherer_)) THEN
+        CALL cxios_set_filegroup_gatherer &
+      (filegroup_hdl%daddr, gatherer_, len(gatherer_))
+      ENDIF
+
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_set_filegroup_group_ref &
@@ -266,4 +300,19 @@
         CALL cxios_set_filegroup_par_access &
       (filegroup_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+
+      IF (PRESENT(pool_gatherer_)) THEN
+        CALL cxios_set_filegroup_pool_gatherer &
+      (filegroup_hdl%daddr, pool_gatherer_, len(pool_gatherer_))
+      ENDIF
+
+      IF (PRESENT(pool_reader_)) THEN
+        CALL cxios_set_filegroup_pool_reader &
+      (filegroup_hdl%daddr, pool_reader_, len(pool_reader_))
+      ENDIF
+
+      IF (PRESENT(pool_writer_)) THEN
+        CALL cxios_set_filegroup_pool_writer &
+      (filegroup_hdl%daddr, pool_writer_, len(pool_writer_))
       ENDIF
 
@@ -274,4 +323,9 @@
       ENDIF
 
+      IF (PRESENT(reader_)) THEN
+        CALL cxios_set_filegroup_reader &
+      (filegroup_hdl%daddr, reader_, len(reader_))
+      ENDIF
+
       IF (PRESENT(record_offset_)) THEN
         CALL cxios_set_filegroup_record_offset &
@@ -349,4 +403,10 @@
       ENDIF
 
+      IF (PRESENT(using_server2_)) THEN
+        using_server2__tmp = using_server2_
+        CALL cxios_set_filegroup_using_server2 &
+      (filegroup_hdl%daddr, using_server2__tmp)
+      ENDIF
+
       IF (PRESENT(uuid_format_)) THEN
         CALL cxios_set_filegroup_uuid_format &
@@ -359,12 +419,18 @@
       ENDIF
 
+      IF (PRESENT(writer_)) THEN
+        CALL cxios_set_filegroup_writer &
+      (filegroup_hdl%daddr, writer_, len(writer_))
+      ENDIF
+
   END SUBROUTINE xios(set_filegroup_attr_hdl_)
 
   SUBROUTINE xios(get_filegroup_attr)  &
     ( filegroup_id, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -383,4 +449,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: gatherer
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
@@ -391,6 +458,10 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_gatherer
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_reader
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_writer
       LOGICAL  , OPTIONAL, INTENT(OUT) :: read_metadata_par
       LOGICAL (KIND=C_BOOL) :: read_metadata_par_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: reader
       INTEGER  , OPTIONAL, INTENT(OUT) :: record_offset
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: split_end_offset
@@ -408,6 +479,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: using_server2
+      LOGICAL (KIND=C_BOOL) :: using_server2_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: writer
 
       CALL xios(get_filegroup_handle) &
@@ -415,8 +489,9 @@
       CALL xios(get_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(get_filegroup_attr)
@@ -424,8 +499,9 @@
   SUBROUTINE xios(get_filegroup_attr_hdl)  &
     ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -443,4 +519,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: gatherer
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits
@@ -451,6 +528,10 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_gatherer
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_reader
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_writer
       LOGICAL  , OPTIONAL, INTENT(OUT) :: read_metadata_par
       LOGICAL (KIND=C_BOOL) :: read_metadata_par_tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: reader
       INTEGER  , OPTIONAL, INTENT(OUT) :: record_offset
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: split_end_offset
@@ -468,13 +549,17 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: using_server2
+      LOGICAL (KIND=C_BOOL) :: using_server2_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: writer
 
       CALL xios(get_filegroup_attr_hdl_)  &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(get_filegroup_attr_hdl)
@@ -482,9 +567,10 @@
   SUBROUTINE xios(get_filegroup_attr_hdl_)   &
     ( filegroup_hdl, append_, comment_, compression_level_, convention_, convention_str_, cyclic_  &
-    , description_, enabled_, format_, group_ref_, min_digits_, mode_, name_, name_suffix_, output_freq_  &
-    , output_level_, par_access_, read_metadata_par_, record_offset_, split_end_offset_, split_freq_  &
-    , split_freq_format_, split_last_date_, split_start_offset_, sync_freq_, time_counter_, time_counter_name_  &
-    , time_stamp_format_, time_stamp_name_, time_units_, timeseries_, ts_prefix_, type_, uuid_format_  &
-    , uuid_name_ )
+    , description_, enabled_, format_, gatherer_, group_ref_, min_digits_, mode_, name_, name_suffix_  &
+    , output_freq_, output_level_, par_access_, pool_gatherer_, pool_reader_, pool_writer_, read_metadata_par_  &
+    , reader_, record_offset_, split_end_offset_, split_freq_, split_freq_format_, split_last_date_  &
+    , split_start_offset_, sync_freq_, time_counter_, time_counter_name_, time_stamp_format_, time_stamp_name_  &
+    , time_units_, timeseries_, ts_prefix_, type_, using_server2_, uuid_format_, uuid_name_, writer_  &
+     )
 
     IMPLICIT NONE
@@ -502,4 +588,5 @@
       LOGICAL (KIND=C_BOOL) :: enabled__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: gatherer_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(OUT) :: min_digits_
@@ -510,6 +597,10 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_gatherer_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_reader_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: pool_writer_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: read_metadata_par_
       LOGICAL (KIND=C_BOOL) :: read_metadata_par__tmp
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: reader_
       INTEGER  , OPTIONAL, INTENT(OUT) :: record_offset_
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: split_end_offset_
@@ -527,6 +618,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: using_server2_
+      LOGICAL (KIND=C_BOOL) :: using_server2__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: writer_
 
       IF (PRESENT(append_)) THEN
@@ -578,4 +672,9 @@
       ENDIF
 
+      IF (PRESENT(gatherer_)) THEN
+        CALL cxios_get_filegroup_gatherer &
+      (filegroup_hdl%daddr, gatherer_, len(gatherer_))
+      ENDIF
+
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_get_filegroup_group_ref &
@@ -616,4 +715,19 @@
         CALL cxios_get_filegroup_par_access &
       (filegroup_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+
+      IF (PRESENT(pool_gatherer_)) THEN
+        CALL cxios_get_filegroup_pool_gatherer &
+      (filegroup_hdl%daddr, pool_gatherer_, len(pool_gatherer_))
+      ENDIF
+
+      IF (PRESENT(pool_reader_)) THEN
+        CALL cxios_get_filegroup_pool_reader &
+      (filegroup_hdl%daddr, pool_reader_, len(pool_reader_))
+      ENDIF
+
+      IF (PRESENT(pool_writer_)) THEN
+        CALL cxios_get_filegroup_pool_writer &
+      (filegroup_hdl%daddr, pool_writer_, len(pool_writer_))
       ENDIF
 
@@ -624,4 +738,9 @@
       ENDIF
 
+      IF (PRESENT(reader_)) THEN
+        CALL cxios_get_filegroup_reader &
+      (filegroup_hdl%daddr, reader_, len(reader_))
+      ENDIF
+
       IF (PRESENT(record_offset_)) THEN
         CALL cxios_get_filegroup_record_offset &
@@ -699,4 +818,10 @@
       ENDIF
 
+      IF (PRESENT(using_server2_)) THEN
+        CALL cxios_get_filegroup_using_server2 &
+      (filegroup_hdl%daddr, using_server2__tmp)
+        using_server2_ = using_server2__tmp
+      ENDIF
+
       IF (PRESENT(uuid_format_)) THEN
         CALL cxios_get_filegroup_uuid_format &
@@ -709,12 +834,18 @@
       ENDIF
 
+      IF (PRESENT(writer_)) THEN
+        CALL cxios_get_filegroup_writer &
+      (filegroup_hdl%daddr, writer_, len(writer_))
+      ENDIF
+
   END SUBROUTINE xios(get_filegroup_attr_hdl_)
 
   SUBROUTINE xios(is_defined_filegroup_attr)  &
     ( filegroup_id, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -739,4 +870,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: format
       LOGICAL(KIND=C_BOOL) :: format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: gatherer
+      LOGICAL(KIND=C_BOOL) :: gatherer_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -755,6 +888,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: par_access
       LOGICAL(KIND=C_BOOL) :: par_access_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_gatherer
+      LOGICAL(KIND=C_BOOL) :: pool_gatherer_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_reader
+      LOGICAL(KIND=C_BOOL) :: pool_reader_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_writer
+      LOGICAL(KIND=C_BOOL) :: pool_writer_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: read_metadata_par
       LOGICAL(KIND=C_BOOL) :: read_metadata_par_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: reader
+      LOGICAL(KIND=C_BOOL) :: reader_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: record_offset
       LOGICAL(KIND=C_BOOL) :: record_offset_tmp
@@ -787,8 +928,12 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: using_server2
+      LOGICAL(KIND=C_BOOL) :: using_server2_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format
       LOGICAL(KIND=C_BOOL) :: uuid_format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name
       LOGICAL(KIND=C_BOOL) :: uuid_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: writer
+      LOGICAL(KIND=C_BOOL) :: writer_tmp
 
       CALL xios(get_filegroup_handle) &
@@ -796,8 +941,9 @@
       CALL xios(is_defined_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(is_defined_filegroup_attr)
@@ -805,8 +951,9 @@
   SUBROUTINE xios(is_defined_filegroup_attr_hdl)  &
     ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-    , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-    , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-    , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-    , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+    , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+    , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+    , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+    , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+    , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
     IMPLICIT NONE
@@ -830,4 +977,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: format
       LOGICAL(KIND=C_BOOL) :: format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: gatherer
+      LOGICAL(KIND=C_BOOL) :: gatherer_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -846,6 +995,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: par_access
       LOGICAL(KIND=C_BOOL) :: par_access_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_gatherer
+      LOGICAL(KIND=C_BOOL) :: pool_gatherer_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_reader
+      LOGICAL(KIND=C_BOOL) :: pool_reader_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_writer
+      LOGICAL(KIND=C_BOOL) :: pool_writer_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: read_metadata_par
       LOGICAL(KIND=C_BOOL) :: read_metadata_par_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: reader
+      LOGICAL(KIND=C_BOOL) :: reader_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: record_offset
       LOGICAL(KIND=C_BOOL) :: record_offset_tmp
@@ -878,15 +1035,20 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: using_server2
+      LOGICAL(KIND=C_BOOL) :: using_server2_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format
       LOGICAL(KIND=C_BOOL) :: uuid_format_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name
       LOGICAL(KIND=C_BOOL) :: uuid_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: writer
+      LOGICAL(KIND=C_BOOL) :: writer_tmp
 
       CALL xios(is_defined_filegroup_attr_hdl_)  &
       ( filegroup_hdl, append, comment, compression_level, convention, convention_str, cyclic, description  &
-      , enabled, format, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
-      , par_access, read_metadata_par, record_offset, split_end_offset, split_freq, split_freq_format  &
-      , split_last_date, split_start_offset, sync_freq, time_counter, time_counter_name, time_stamp_format  &
-      , time_stamp_name, time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
+      , enabled, format, gatherer, group_ref, min_digits, mode, name, name_suffix, output_freq, output_level  &
+      , par_access, pool_gatherer, pool_reader, pool_writer, read_metadata_par, reader, record_offset  &
+      , split_end_offset, split_freq, split_freq_format, split_last_date, split_start_offset, sync_freq  &
+      , time_counter, time_counter_name, time_stamp_format, time_stamp_name, time_units, timeseries  &
+      , ts_prefix, type, using_server2, uuid_format, uuid_name, writer )
 
   END SUBROUTINE xios(is_defined_filegroup_attr_hdl)
